Bug 970957 - [abrt] mate-panel-1.5.6-1.fc18: g_type_check_instance_is_a: Process /usr/bin/mate-panel was killed by signal 11 (SIGSEGV)
Summary: [abrt] mate-panel-1.5.6-1.fc18: g_type_check_instance_is_a: Process /usr/bin/...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-panel (Show other bugs)
(Show other bugs)
Version: 18
Hardware: i686 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:991f10bace94bdc2f20cfbe9399...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-05 10:09 UTC by lafacer
Modified: 2013-07-28 01:15 UTC (History)
4 users (show)

Fixed In Version: mate-panel-1.6.1-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-28 01:02:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.05 KB, text/plain)
2013-06-05 10:09 UTC, lafacer
no flags Details
File: cgroup (129 bytes, text/plain)
2013-06-05 10:09 UTC, lafacer
no flags Details
File: core_backtrace (2.29 KB, text/plain)
2013-06-05 10:09 UTC, lafacer
no flags Details
File: dso_list (9.64 KB, text/plain)
2013-06-05 10:09 UTC, lafacer
no flags Details
File: environ (1.50 KB, text/plain)
2013-06-05 10:09 UTC, lafacer
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-05 10:09 UTC, lafacer
no flags Details
File: maps (32.90 KB, text/plain)
2013-06-05 10:09 UTC, lafacer
no flags Details
File: open_fds (596 bytes, text/plain)
2013-06-05 10:09 UTC, lafacer
no flags Details
File: proc_pid_status (784 bytes, text/plain)
2013-06-05 10:09 UTC, lafacer
no flags Details
File: var_log_messages (475 bytes, text/plain)
2013-06-05 10:09 UTC, lafacer
no flags Details
File: xsession_errors (1.79 KB, text/plain)
2013-06-05 10:09 UTC, lafacer
no flags Details

Description lafacer 2013-06-05 10:09:08 UTC
Description of problem:
I started with the XFCE ISO and then installed Cinnamon desktop - which didn't load. I then installed Mate desktop which worked but crashed just after loaded but it has seemed to recover

Version-Release number of selected component:
mate-panel-1.5.6-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        mate-panel
crash_function: g_type_check_instance_is_a
executable:     /usr/bin/mate-panel
kernel:         3.6.10-4.fc18.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_a at gtype.c:3964
 #1 matewnck_tasklist_set_switch_workspace_on_unminimize at tasklist.c:1009
 #2 tasklist_update at window-list.c:76
 #3 display_all_workspaces_changed at window-list.c:229
 #4 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1004
 #5 _g_closure_invoke_va at gclosure.c:840
 #8 g_settings_real_change_event at gsettings.c:288
 #9 ffi_call_SYSV at ../src/x86/sysv.S:64
 #10 ffi_call at ../src/x86/ffi.c:303
 #11 g_cclosure_marshal_generic_va at gclosure.c:1550

Comment 1 lafacer 2013-06-05 10:09:13 UTC
Created attachment 757088 [details]
File: backtrace

Comment 2 lafacer 2013-06-05 10:09:20 UTC
Created attachment 757089 [details]
File: cgroup

Comment 3 lafacer 2013-06-05 10:09:24 UTC
Created attachment 757090 [details]
File: core_backtrace

Comment 4 lafacer 2013-06-05 10:09:27 UTC
Created attachment 757091 [details]
File: dso_list

Comment 5 lafacer 2013-06-05 10:09:31 UTC
Created attachment 757092 [details]
File: environ

Comment 6 lafacer 2013-06-05 10:09:34 UTC
Created attachment 757093 [details]
File: limits

Comment 7 lafacer 2013-06-05 10:09:38 UTC
Created attachment 757094 [details]
File: maps

Comment 8 lafacer 2013-06-05 10:09:41 UTC
Created attachment 757095 [details]
File: open_fds

Comment 9 lafacer 2013-06-05 10:09:44 UTC
Created attachment 757096 [details]
File: proc_pid_status

Comment 10 lafacer 2013-06-05 10:09:48 UTC
Created attachment 757097 [details]
File: var_log_messages

Comment 11 lafacer 2013-06-05 10:09:51 UTC
Created attachment 757098 [details]
File: xsession_errors

Comment 12 Dan Mashal 2013-06-05 13:23:36 UTC
Yeah, we've noticed some weirdness overall having multiple DE's installed. Looking into it. Thanks.

Comment 13 Dan Mashal 2013-06-05 13:24:43 UTC
You may want to try a "yum update --enablerepo=updates-testing" as well. There are new versions of MATE and Cinnamon.

Comment 14 Wolfgang Ulbrich 2013-07-08 15:34:46 UTC
Did this issue still exits with a updated MATE desktop, we're are on 1.6.x ?

Comment 15 Fedora Update System 2013-07-18 18:56:31 UTC
mate-panel-1.6.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-panel-1.6.1-1.fc18

Comment 16 Fedora Update System 2013-07-18 18:56:50 UTC
mate-panel-1.6.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-panel-1.6.1-1.fc17

Comment 17 Fedora Update System 2013-07-18 18:57:06 UTC
mate-panel-1.6.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-panel-1.6.1-1.fc19

Comment 18 Fedora Update System 2013-07-19 22:50:44 UTC
mate-panel-1.6.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-panel-1.6.1-2.fc18

Comment 19 Fedora Update System 2013-07-19 22:50:59 UTC
mate-panel-1.6.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-panel-1.6.1-2.fc19

Comment 20 Fedora Update System 2013-07-19 22:51:14 UTC
mate-panel-1.6.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-panel-1.6.1-2.fc17

Comment 21 Fedora Update System 2013-07-20 09:36:25 UTC
Package mate-panel-1.6.1-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-panel-1.6.1-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13245/mate-panel-1.6.1-2.fc19
then log in and leave karma (feedback).

Comment 22 Fedora Update System 2013-07-28 01:02:32 UTC
mate-panel-1.6.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2013-07-28 01:02:47 UTC
mate-panel-1.6.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2013-07-28 01:15:05 UTC
mate-panel-1.6.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.